Get User Privilege Groups By User Id
curl --request GET \
--url https://apigw.bienport.com/api/role/user/{userId}/privilege-groups \
--header 'Authorization: <authorization>' \
--header 'OrganizationId: <organizationid>'import requests
url = "https://apigw.bienport.com/api/role/user/{userId}/privilege-groups"
headers = {
"Authorization": "<authorization>",
"OrganizationId": "<organizationid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', OrganizationId: '<organizationid>'}
};
fetch('https://apigw.bienport.com/api/role/user/{userId}/privilege-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": 20199,
"userPrivilegeValidity": {
"id": 147,
"accessibleDays": [
{
"dayOfWeek": 3,
"start": 155000,
"end": 451000
}
],
"expiration": 1646639127000,
"validityStart": 1678088727000
},
"userPrivilegeGroups": [
{
"id": 268,
"privilegeGroupId": 2,
"authority": true,
"scopePk": 31547
}
]
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}This response has no body data.{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}{
"statusCode": 123,
"error": "***Exception",
"message": "Message about the error",
"path": "/api/example/path"
}Get User Privilege Groups By User Id
GET
/
role
/
user
/
{userId}
/
privilege-groups
Get User Privilege Groups By User Id
Path Parameters
userId
Was this page helpful?
⌘I